Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 01-10-2014 21:36:22

sechanbask
Membre
Inscription : 14-10-2009

Squeeze LTS pour corriger bash

Bonjour,

Je possède un NAS Dlinks DNS320. L'OS de Dlink permet de mettre une debian squeeze chrooté qu'on ne peut malheureusement pas migrer en wheezy (https://debian-facile.org/topic-8194-mi … age-1.html).

Je souhaite profiter du dépôt LTS. J'ai suivi le tuto : https://wiki.debian.org/LTS/Using, mais après avoir changé le sources.list

deb http://ftp.fr.debian.org/debian/ squeeze main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ squeeze main non-free contrib

deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free

deb http://ftp.fr.debian.org/debian/ squeeze-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ squeeze-updates main contrib non-free

# LTS
deb http://http.debian.net/debian/ squeeze-lts main contrib non-free
deb http://ftp.us.debian.org/debian squeeze-lts main non-free contrib

deb-src http://http.debian.net/debian/ squeeze-lts main contrib non-free




j'ai voulu changé le fichier  /etc/apt/apt.conf

mais je n'avais que le fichier /etc/apt/apt.conf.bck que j'ai changé

APT::Default-Release "squeeze-lts";
APT::Install-Recommendeds "false";
APT::Install-Suggests "false";

Aptitude::Recommends-Important "false";
Aptitude::Suggests-Important "false";

APT::Cache-Limit 200000000;
 




J'ai créé le fichier :

cp /etc/apt/apt.conf.bck /etc/apt/apt.conf



mais j'ai beau faire apt-get update puis apt-get upgrade, j'ai aucune mise à jour dont celle que je cherche bash.

j'ai toujours la même version :

 apt-cache policy bash
bash:
  Installé : 4.1-3
  Candidat : 4.1-3
 Table de version :
 *** 4.1-3 0
        500 http://http.debian.net/debian/ squeeze/main armel Packages
        100 /var/lib/dpkg/status
 



Alors que selon la page suivante (https://www.debian.org/security/2014/dsa-3035), il me faudrait la version au moins 4.2+dfsg-0.1+deb7u3

Hors ligne

#2 02-10-2014 08:23:48

kao
Modérateur
Distrib. : Testing
Noyau : Linux 4.quelquechose
(G)UI : Gnome 3
Inscription : 28-09-2012
Site Web

Re : Squeeze LTS pour corriger bash

Je pense que c'est parce que le paquet est disponible seulement pour les architectures amd64 et i386
Regarde en bas de cette page, dans la rubrique "Télécharger":
https://packages.debian.org/squeeze-lts/bash

Si je dis pas de bêtises, ton nas est sur un architecture arm:

500 http://http.debian.net/debian/ squeeze/main armel Packages



Pour en être sur, lance la commande

 uname -a



Ce que tu peux faire, c'est ajouter les dépots de wheezy et jouer avec le pinning pour aller chercher la nouvelle version de bash pour ton architecture
https://debian-facile.org/doc:systeme:apt:pinning

Hors ligne

#3 02-10-2014 17:03:11

vv222
Membre
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : >= Linux 4.5.0 (amd64)
(G)UI : Openbox + ROX
Inscription : 18-11-2013
Site Web

Re : Squeeze LTS pour corriger bash

Sauf erreur de ma part ce n’est pas spécifique à ce paquet et Debian Squeeze LTS ne concerne que les architectures i386 et amd64.

Jouer sous Debian ? Facile !

Hors ligne

#4 02-10-2014 17:43:05

kao
Modérateur
Distrib. : Testing
Noyau : Linux 4.quelquechose
(G)UI : Gnome 3
Inscription : 28-09-2012
Site Web

Re : Squeeze LTS pour corriger bash

vv222 a écrit :

Sauf erreur de ma part ce n’est pas spécifique à ce paquet et Debian Squeeze LTS ne concerne que les architectures i386 et amd64.


Tout à fait:

Squeeze-LTS ne prendra pas en charge toutes les architectures mais seulement les architectures i386 et amd64.


Ici: https://www.debian.org/News/2014/20140424

Hors ligne

#5 03-10-2014 23:20:00

sechanbask
Membre
Inscription : 14-10-2009

Re : Squeeze LTS pour corriger bash

Donc je suis condamné à conserver ce bash où j'ai des possibilités de corriger ?

Hors ligne

#6 04-10-2014 09:31:59

kao
Modérateur
Distrib. : Testing
Noyau : Linux 4.quelquechose
(G)UI : Gnome 3
Inscription : 28-09-2012
Site Web

Re : Squeeze LTS pour corriger bash

Tu as essayé le pinning, en ajoutant les dépôts Wheezy et en définissant les priorités?
https://debian-facile.org/doc:systeme:apt:pinning

Hors ligne

Pied de page des forums